waybar-dwl-window(5)

NAME

waybar - dwl window module

DESCRIPTION

The window module displays the title of the currently focused window in DWL

CONFIGURATION

Addressed by dwl/window

format:
    typeof: string
    default: {title}
    The format, how information should be displayed.

rotate:
    typeof: integer
    Positive value to rotate the text label (in 90 degree increments).

max-length:
    typeof: integer
    The maximum length in character the module should display.

min-length:
    typeof: integer
    The minimum length in characters the module should accept.

align:
    typeof: float
    The alignment of the label within the module, where 0 is left-aligned and 1 is right-aligned. If the module is rotated, it will follow the flow of the text.

justify:
    typeof: string
    The alignment of the text within the module's label, allowing options 'left', 'right', or 'center' to define the positioning.

on-click:
    typeof: string
    Command to execute when clicked on the module.

on-click-middle:
    typeof: string
    Command to execute when middle-clicked on the module using mousewheel.

on-click-right:
    typeof: string
    Command to execute when you right-click on the module.

on-update:
    typeof: string
    Command to execute when the module is updated.

on-scroll-up:
    typeof: string
    Command to execute when scrolling up on the module.

on-scroll-down:
    typeof: string
    Command to execute when scrolling down on the module.

smooth-scrolling-threshold:
    typeof: double
    Threshold to be used when scrolling.

tooltip:
    typeof: bool
    default: true
    Option to disable tooltip on hover.

rewrite:
    typeof: object
    Rules to rewrite the module format output. See rewrite rules.

icon:
    typeof: bool
    default: false
    Option to hide the application icon.

icon-size:
    typeof: integer
    default: 24
    Option to change the size of the application icon.

expand:
    typeof: bool
    default: false
    Enables this module to consume all left over space dynamically.

FORMAT REPLACEMENTS

{title}: The title of the focused window.

{app_id}: The app_id of the focused window.

{layout}: The layout of the focused window.

REWRITE RULES

rewrite is an object where keys are regular expressions and values are rewrite rules if the expression matches. Rules may contain references to captures of the expression.

Regular expression and replacement follow ECMA-script rules.

If no expression matches, the format output is left unchanged.

Invalid expressions (e.g., mismatched parentheses) are skipped.

EXAMPLES

    "dwl/window": {
    	"format": "{}",
    	"max-length": 50,
    	"rewrite": {
    		"(.*) - Mozilla Firefox": "🌎 $1",
    		"(.*) - zsh": "> [$1]"
    	}
    }